List cases

View as MarkdownOpen in Claude
Lists cases for an organization, climbing the platform org hierarchy. Supports pagination and sorting through query parameters, and filtering through repeatable `parameters[field(op)]=value` query parameters (for example `parameters[state(in)]=Assigned|PendingReview`). Filterable fields include `state`, `caseType`, `paypointId`, `createdAt`, `updatedAt`, `scheduleFor`, and `createdBy`. Available to both Platform and Enterprise Partners.

Path parameters

organizationIdlongRequired
The organization's numeric identifier.

Query parameters

fromRecordintegerOptionalDefaults to 0

The zero-based index of the first record to return.

limitRecordintegerOptional<=200Defaults to 50

The maximum number of records to return (1 to 200).

sortBystringOptional

Sort expression, such as desc(createdAt) or asc(state). Defaults to desc(createdAt).

Response

A page of cases
summaryobject
Pagination and totals for a case list response.
recordslist of objects
The cases on this page. Each record is a full case object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error